I need to write a lisp routine that will copy polyline objects only, how do I do this, any ideas?
(setq ss (ssget '((0 . "LWPOLYLINE,POLYLINE")))) ; for user selection or (setq ss (ssget "x" '((0 . "LWPOLYLINE,POLYLINE")))) ; to select all (command ".copy" ss "" .........) do I do this, any ideas?
(setq ss (ssget '((0 . "LWPOLYLINE,POLYLINE")(8 . "LAYERNAME")))) ; for user selection or (setq ss (ssget "x" '((0 . "LWPOLYLINE,POLYLINE")(8 . "LAYERNAME"))) ; to select all
Ok I thought that had it but I was mistaken. The layer name is stored in a variable called polylayer so I assumed this would work: (setq ss (ssget '((0 . "LWPOLYLINE,POLYLINE")(8 . polylayer)))) Unfortunetly it doesn't, I get an error that says: ; error: bad SSGET list value
(setq ss (ssget (list (cons 0 "LWPOLYLINE,POLYLINE")(cons 8 polylayer)))) a variable called polylayer so I assumed this would work:
(setq ss (ssget '((0 . "LWPOLYLINE,POLYLINE")(8 . polylayer)))) Try this instead (setq ss (ssget (list (cons 0 "LWPOLYLINE,POLYLINE")(cons 8 polylayer)))) Tim